#productInfoDiv{
  position: relative;
  float: left;
  margin-left: 5%;
  margin-top: 3%;
  margin-bottom: 3%;
  padding-top: 20px;
  padding-bottom: 20px;
  box-shadow: 2px 3px 7px #888888;
  border-radius: 15px;
  width: 80%;
  float: left;
}
#titleDiv{
  text-align: center;
  font-size: 25px;
  margin-left: 20%;
  margin-right: 20%;
}
#wrapperDiv{
  float: right;
  width: 70%;
}
#imagesDiv{
  float: left;
  width: 30%;
}
img{
  width: 100%;
  height: 350px;
  object-fit: contain;
}
.textOrTableDiv{
  position: relative;
  padding-left: 60px;
  text-align: center;
  width: 90%;
  height: 100%;
  float: left;
}
.textOrTableDiv table{
  text-align: center;
  position: relative;
}

.informationText{
  padding-left: 4px;
  padding-right: 4px;
  resize: none;
  text-align: center;
  font-size: 20px;
  width: 90%;
  height:auto;
  border: none;
}
.informationSubtitle{
  resize: none;
  text-align: center;
  font-size: 24px;
  width: 50%;
  border: none;
}
.descriptionText{
  resize: none;
  text-align: center;
  padding-left: 4px;
  padding-right: 4px;
  font-size: 20px;
  width: 90%;
  border: none;
}
#productTypeArea{
  border:none;
}
#publishedSelect{
  border: none;
}
#publishedDiv{
  position: absolute;
  top: 20px;
  right: 15px;
}
#imageDeleteButton{
  position: absolute;
  top: -10px;
  right: -10px;
  border-radius: 10px;
  background-color: white;
}
#simpleInfoDiv{
  padding-left: 60px;
  width: 65%;
  height: 100%;
  float: left;
}

.productCode * {
  vertical-align: middle;
}
#productCodeArea{
  border: none;
  resize: none;
  font-size: 16px;
  height: 18px;
}
.productBrand *{
  vertical-align: middle;
}
#productBrandArea{
  border: none;
  resize: none;
  font-size: 16px;
  height: 18px;
}
.productTitle{
  resize: none;
  text-align: center;
  font-size: 24px;
  width: 50%;
  border: none;
}
.textareaHeader{
  resize: none;
  text-align: center;
  font-size: 17px;
  border:none;
  background-color: rgb(235, 235, 235);
  width: 100%;
  height: 21px;
}
.textareaData{
  resize: none;
  text-align: center;
  font-size: 17px;
  border:none;
  width: 100%;
  height: 21px;
}
.imageContainer{
  position: relative;
  margin-left: 40px;
}
.remove{
  position: absolute;
  top: 0px;
  right: -10px;
  border-radius: 10px;
  background-color: white;
  border-width: thin;
}
.addCollumn{
  position: absolute;
  top: 0px;
  right: -10px;
  border-radius: 10px;
  background-color: white;
  border-width: thin;
}
.removeCollumn{
  position: absolute;
  top: 30px;
  width: 21px;
  right: -10px;
  border-radius: 10px;
  background-color: white;
  border-width: thin;
}
.addRow{
  position: absolute;
  bottom: 0px;
  left: -10px;
  width: 21px;
  border-radius: 10px;
  background-color: white;
  border-width: thin;
}
.removeRow{
  position:absolute;
  bottom: 30px;
  left: -10px;
  width: 21px;
  border-radius: 10px;
  background-color: white;
  border-width: thin;
}
.textOrTableDiv p{
  font-size: 19px;
}
#controls{
  margin-top: 3%;
  width: fit-content;
  float: right;
}
#updateBtn{
  float: right;
  margin-right: 10px;
  margin-bottom: 60px;
  border:none;
  background-color: white;
  box-shadow: 2px 3px 7px #888888;
  border-radius: 15px;
  height: 30px;
  width: 80px;
}
#addSubtitleBtn{
  margin-right: 10px;
  border:none;
  background-color: white;
  box-shadow: 2px 3px 7px #888888;
  border-radius: 15px;
  height: 30px;
  width: 80px;
}
#addTextBtn{
  margin-right: 10px;
  border:none;
  background-color: white;
  box-shadow: 2px 3px 7px #888888;
  border-radius: 15px;
  height: 30px;
  width: 80px;
}
#addTableBtn{
  margin-right: 10px;
  border:none;
  background-color: white;
  box-shadow: 2px 3px 7px #888888;
  border-radius: 15px;
  height: 30px;
  width: 80px;
}
#controls p {
  text-align: center;
  margin-right: 10px;
}
#tableDivs{
  width: 100%;
  float:left
}
#oneTableDiv{
  text-align: center;
  margin-top: 20px;
  margin-bottom: 3%;
  margin-left: 95px;
  width: 100%;
}
#descriptionDiv{
  text-align: center;
  width: 100%;
  float: left;
}
 td, th {
  padding: 10px;
  border: 1px solid black;
}
th{
  background-color: rgb(235, 235, 235);
}
table tr th:first-child{
  border-radius: 15px 0px 0px 0px;
}
table tr th:last-child {
  border-radius: 0px 15px 0px 0px;
}
table{
  border-collapse: collapse;
  border-radius: 15px;
  border-style: hidden;
  box-shadow: 0 0 0 1px #666;
  width: 80%;
}
textarea{
  font-family:"Times New Roman", Times, serif;
}
.imageContainer button{
  display: none
}
.imageContainer:hover button{
  display: block
}
.textOrTableDiv button{
  display:none
}
.textOrTableDiv:hover button{
  display: block
}
